Namespace DetailForms
    Public Class DetailForm
        Public Property Data As DetailFormData
        Public Property Settings As DetailFormSettings

        Public ReadOnly Property Key As String
            Get
                Return Data.Entity & "-" & Data.Scope
            End Get
        End Property
    End Class
End Namespace